Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop
Interface Pointcut

All Known Subinterfaces:
  ExpressionPointcut

All Known Implementing Classes:
  AbstractExpressionPointcut, AbstractRegexpMethodPointcut, AnnotationMatchingPointcut, AspectJExpressionPointcut, ComposablePointcut, ControlFlowPointcut, DynamicMethodMatcherPointcut, DynamicMethodMatcherPointcutAdvisor, JdkRegexpMethodPointcut, NameMatchMethodPointcut, Perl5RegexpMethodPointcut, StaticMethodMatcherPointcut, StaticMethodMatcherPointcutAdvisor

    public interface Pointcut

Core Spring pointcut abstraction.

A pointcut is composed of a `ClassFilter` and a `MethodMatcher`. Both these basic terms and a Pointcut itself can be combined to build up combinations (e.g. through `ComposablePointcut`).

Author:
  Rod Johnson
See Also:
  `ClassFilter`, `MethodMatcher`, `Pointcuts`, `ClassFilters`, `MethodMatchers`

Field Summary
`static Pointcut` | `TRUE` Canonical Pointcut instance that always matches.

Method Summary
`ClassFilter` | `getClassFilter()` Return the ClassFilter for this pointcut.
`MethodMatcher` | `getMethodMatcher()` Return the MethodMatcher for this pointcut.

Field Detail

### TRUE

    static final Pointcut TRUE

  Canonical Pointcut instance that always matches.

Method Detail

### getClassFilter

    ClassFilter getClassFilter()

  Return the ClassFilter for this pointcut.

  Returns:
    the ClassFilter (never `null`)

### getMethodMatcher

    MethodMatcher getMethodMatcher()

  Return the MethodMatcher for this pointcut.

  Returns:
    the MethodMatcher (never `null`)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.